
Infrastructure - Task #4173

Story # 2829 (Closed): Structural changes to D1 Data Types schema for Version 2.0 release

ObjectFormat should include mimeType and extention

2013-11-12 05:49 - Robert Waltz

Status: Closed Start date: 2013-11-12

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version: *   

Description

In order to assist with HTTP Headers, mimeType and extension should be included in ObjectFormat definition.

such that

-//ecoinformatics.org//eml-constraint-2.0.0beta4//EN

Ecological Metadata Language, Constraint module, version 2.0.0beta4

METADATA

text/xml

xml

 

History

#1 - 2013-11-12 05:56 - Matthew Jones

Duplicate of #3317.  This has already been implemented on a branch, and the decision at the time was not to check it in.  See related tickets in this

story for other status and workarounds.  I'd be happy to have this be added in a v2 of ObjectFormat, but we should discuss.

#2 - 2014-01-06 22:33 - Robert Waltz

- Parent task changed from #2829 to #3755

#3 - 2014-01-06 22:40 - Robert Waltz

- Parent task changed from #3755 to #2829

#4 - 2014-07-09 18:43 - Ben Leinfelder

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from New to Closed

Added ObjectFormat and ObjectFormatList to v2 schema and d1_common. Note that v2.ObjectFormatList does NOT extend v1.ObjectFormatList,

whereas the v2.ObjectFormat does extend v1.ObjectFormat.

#5 - 2014-07-30 02:59 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

- Estimated time set to 0.00

#6 - 2014-10-01 16:57 - Robert Waltz

- Target version set to CCI-2.0.0
